Bug 435947 - system-config-audit does not run
system-config-audit does not run
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: audit (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Steve Grubb
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-04 11:33 EST by Eduard Benes
Modified: 2008-05-21 10:32 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2008-0358
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove dependency on Python 2.5 (6.37 KB, patch)
2008-03-05 14:12 EST, Miloslav Trmač
no flags Details | Diff

  None (edit)
Description Eduard Benes 2008-03-04 11:33:01 EST
Running system-config-audit does not start and throws Traceback instead.

# rpm -q system-config-audit
system-config-audit-0.4.5-2.el5.x86_64

#system-config-audit
Traceback (most recent call last):
  File "/usr/share/system-config-audit/main.py", line 50, in ?
    w.run(cl)
  File "/usr/share/system-config-audit/main_window.py", line 129, in run
    self.config.read()
  File "/usr/share/system-config-audit/config.py", line 38, in read
    self.auditd.read(self.client)
  File "/usr/share/system-config-audit/auditd_config.py", line 247, in read
    print >> sys.stderr, "auditd.conf:%d: %s" % (line_no, e.message)
AttributeError: ParsingError instance has no attribute 'message'

Additional info:
Couldn't find system-config-audit in the component list.
Comment 1 Miloslav Trmač 2008-03-05 14:12:05 EST
Created attachment 296913 [details]
Remove dependency on Python 2.5

Thanks for your report.

The attached patch should fix the crash.

Eventually, s-c-audit will need to be updated to handle added auditd.conf
directives.
Comment 5 Steve Grubb 2008-03-14 10:56:36 EDT
audit-1.6.5-4.el5 was built to address this problem.
Comment 9 errata-xmlrpc 2008-05-21 10:32:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0358.html

Note You need to log in before you can comment on or make changes to this bug.